Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.modules.predatorInvariantAnalysis
Class InvariantXmlFileReader

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          pipe.modules.predatorInvariantAnalysis.InvariantXmlFileReader

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class InvariantXmlFileReader
extends org.xml.sax.helpers.DefaultHandler

Field Summary
`(package private) java.lang.String` | `arcSource`
`(package private) java.lang.String` | `arcTarget`
`(package private) Analysis` | `data`
`(package private) java.io.File` | `fileName`
`(package private) boolean` | `firstArc`
`(package private) boolean` | `inscriptionFlag`
`(package private) boolean` | `markingFlag`
`(package private) boolean` | `subnetFlag`
`(package private) int` | `subnetLevel`
`(package private) java.lang.String` | `theFileName`
`(package private) boolean` | `tranTarget`
`(package private) boolean` | `valueFlag`

Constructor Summary
`InvariantXmlFileReader(Analysis a)`

Method Summary
`void` | `characters(char[] buf, int offset, int Len)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String sName, java.lang.String qName)`
`void` | `runFileReader()`
`void` | `startDocument()`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String sName, java.lang.String qName, org.xml.sax.Attributes attrs)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileName

    java.io.File fileName

### theFileName

    java.lang.String theFileName

### inscriptionFlag

    boolean inscriptionFlag

### valueFlag

    boolean valueFlag

### subnetFlag

    boolean subnetFlag

### markingFlag

    boolean markingFlag

### arcSource

    java.lang.String arcSource

### arcTarget

    java.lang.String arcTarget

### tranTarget

    boolean tranTarget

### subnetLevel

    int subnetLevel

### data

    Analysis data

### firstArc

    boolean firstArc

Constructor Detail

### InvariantXmlFileReader

    public InvariantXmlFileReader(Analysis a)

Method Detail

### runFileReader

    public void runFileReader()

### startDocument

    public void startDocument()
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endDocument

    public void endDocument()
                     throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String sName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] buf,
                           int offset,
                           int Len)

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String sName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD